| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::SocketAddressIPv6 Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QString address
- ushort port

## Detailed Description

Structure type generated from the specification.

An IPv6 address and port.

## Member Data Documentation

QString Tp::SocketAddressIPv6::address

An IPv6 address literal as specified by RFC2373 section 2.2, e.g. "2001:DB8::8:800:200C:4171".

ushort Tp::SocketAddressIPv6::port

The TCP or UDP port number.